% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summary.R
\name{summary.fusion}
\alias{summary.fusion}
\title{Summary of object of class \code{fusion}}
\usage{
\method{summary}{fusion}(object, ...)
}
\arguments{
\item{object}{an object of class \code{fusion}}

\item{...}{further arguments passed to or from other methods (not used)}
}
\description{
Returns basic information about the model and the priors, MCMC details and posterior
means from the refit of the selected model or model averaged results as well as 95\%-HPD intervals for the regression effects.
}
\details{
The model selected with function \code{effectFusion} is refitted with a flat uninformative 
prior to get estimates for the regression coefficients \code{beta}. The posterior means and 95\%-HPD 
intervals resulting from this refit are shown with this function. Fused categories have the same 
regression coefficient estimates and the same HPD intervals. 

If a full model is fitted (\code{method} in \code{effectFusion} is NULL) or no final model selection is performed 
(argument \code{modelSelection} in \code{effectFusion} is NULL), the coefficient estimates are model
averaged results.
}
\examples{
## see example for effectFusion
}
\seealso{
\code{\link{effectFusion}}
}
\author{
Daniela Pauger, Magdalena Leitner <effectfusion.jku@gmail.com>
}
